#ifndef RADIAL_VIBRATION_H
#define RADIAL_VIBRATION_H

#include <QWidget>
#include "data_config.h"
namespace Ui {
class Radial_vibration;
}

class Radial : public QWidget {
    Q_OBJECT

  public:
    explicit Radial(int slot_no_, int channel_, bool active, QWidget *parent = nullptr);
    ~Radial();
    int slot_no;
    int channel;
  private slots:
    void on_pushButton_confirm_clicked();
    void on_pushButton_cancel_clicked();
    void on_pushButton_set_default_clicked();

    void on_checkBox_1x_ampl_toggled(bool checked);
    void on_checkBox_2x_ampl_toggled(bool checked);
  private:
    Ui::Radial_vibration *ui;

    void Init();
};

#endif // RADIAL_VIBRATION_H
