#ifndef VELOCITY_DS_H
#define VELOCITY_DS_H

// 速度峰值的量程范围
typedef enum {
    kVelPK10 = 0, // 0-10 mm/s pk
    kVelPK20 = 1, // 0-20 mm/s pk
    kVelPK50 = 2, // 0-50 mm/s pk
    kVelPKCustom = 3 // custom
} VelPKFullScaleRange;

// 速度有效值的量程范围
typedef enum {
    kVelRMS10 = 0, // 0-10 mm/s rms
    kVelRMS20 = 1, // 0-20 mm/s rms
    kVelRMS50 = 2, // 0-50 mm/s rms
    kVelRMSCustom = 3 // custom
} VelRMSFullScaleRange;

// 位移峰峰值的量程范围
typedef enum {
    kVelDisPP100 = 0, // 0-100 um pp
    kVelDisPP200 = 1, // 0-200 um pp
    kVelDisPP500 = 2, // 0-500 um pp
    kVelDisPPCustom = 3 // custom
} VelDisPPFullScaleRange;

// recorder out
typedef enum {
    kVelRecorderOutNone = 0,
    kVelRecorderOutDirectAmpl = 1,
    kVelRecorderOut1XAmpl = 2,
    kVelRecorderOut2XAmpl = 3
} VelRecorderOut;

#endif // VELOCITY_DS_H
