#include "vibrationdata.h"

VibrationData::VibrationData() {
}

std::shared_ptr<VariableBase> VibrationData::GetChannelPtr(int cid) {
    for (auto &item : variables_) {
        if (item->id_ == cid) {
            return item;
        }
    }
    return nullptr;
}

void VibrationData::RemoveChannel(int cid) {
    std::vector<std::shared_ptr<VariableBase>> tmp;
    for (auto &item : variables_) {
        if (item->id_ != cid) {
            tmp.push_back(item);
        }
    }
    variables_.clear();
    variables_ = tmp;
}
