#ifndef VIBRATIONDATA_H
#define VIBRATIONDATA_H
#include <memory>
#include <vector>
#include "cardbase.h"


class VibrationData : public CardBase {
  public:
    VibrationData();
    std::shared_ptr<VariableBase> GetChannelPtr(int cid);
    void RemoveChannel(int cid);
    SeismicMonitor base_config_[CHANNEL_COUNT];
    std::vector<std::shared_ptr<VariableBase>> variables_;
    VibAlertDanger alert_danger[CHANNEL_COUNT];
    VibAlertDangerPress alert_danger_press[CHANNEL_COUNT];
};

#endif // VIBRATIONDATA_H
