#ifndef VELOCITY_H
#define VELOCITY_H

#include <QWidget>
#include "data_config.h"

namespace Ui {
class Velocity;
}

class Velocity : public QWidget {
    Q_OBJECT

  public:
    explicit Velocity(int slot_no_, int channel_, bool active, QWidget *parent = nullptr);
    ~Velocity();
    int slot_no;
    int channel;

  private slots:
    void on_pushButton_confirm_clicked();
    void on_pushButton_cancel_clicked();
    void on_checkBox_1x_ampl_toggled(bool checked);
    void on_checkBox_2x_ampl_toggled(bool checked);
    void on_checkBox_rms_toggled(bool checked);
    void on_checkBox_integrate_toggled(bool checked);

  private:
    Ui::Velocity *ui;

    void Init();
};

#endif // VELOCITY_H
